Bug 121255 - Xorg won't start anymore because of policy
Xorg won't start anymore because of policy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-19 15:50 EDT by lupus
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.11.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 16:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lupus 2004-04-19 15:50:07 EDT
Description of problem:
Xorg won't start anymore

had to start the kernel with selinux=0

Version-Release number of selected component (if applicable):
policy-1.11.2-9
xorg-x11-6.7.0-0.5

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Apr 19 21:22:32 localhost kernel: audit(1082402552.838:0): avc: 
denied  { read } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=mem
dev=hda3 ino=178486 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:memory_device_t tclass=chr_file
Apr 19 21:22:33 localhost kernel: audit(1082402553.732:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=00.0 dev=
ino=4385 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.732:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=00.0 dev=
ino=4385 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.732:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=01.0 dev=
ino=4386 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.732:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=01.0 dev=
ino=4386 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.733:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=06.0 dev=
ino=4387 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.733:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=06.0 dev=
ino=4387 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.733:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=07.0 dev=
ino=4388 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.733:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=07.0 dev=
ino=4388 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.734:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=0b.0 dev=
ino=4390 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.734:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=0b.0 dev=
ino=4390 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.734:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=0f.0 dev=
ino=4391 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.734:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=0f.0 dev=
ino=4391 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.734:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=10.0 dev=
ino=4395 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.734:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=10.0 dev=
ino=4395 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.734:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=11.0 dev=
ino=4397 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.735:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=11.0 dev=
ino=4397 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:33 localhost kernel: audit(1082402553.735:0): avc: 
denied  { write } for  pid=1851 exe=/usr/X11R6/bin/Xorg name=00.0 dev=
ino=4400 scontext=system_u:system_r:xdm_t
tcontext=system_u:object_r:proc_t tclass=file
Apr 19 21:22:36 localhost gdm[1850]: gdm_slave_xioerror_handler:
Fatale X-fout - :0 wordt opnieuw gestart
Comment 1 lupus 2004-04-19 15:58:15 EDT
Apr 19 21:22:15 localhost kernel: audit(1082409699.157:0): avc: 
denied  { create } for  pid=51 exe=/usr/X11R6/bin/Xorg
name=XFree86.0.log scontext=system_u:system_r:rhgb_t
tcontext=system_u:object_r:ramfs_t tclass=file


found this to
Comment 2 Mike A. Harris 2004-04-19 17:14:33 EDT
Not an xorg-x11 package issue, reassigning to "policy" component.
Comment 3 Colin Walters 2004-04-20 16:47:52 EDT
You need to relabel your file system.  Run:

/sbin/fixfiles relabel


Note You need to log in before you can comment on or make changes to this bug.